<?php

namespace PB\SolvedQuestionPrefix\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Post extends XFCP_Post
{
	public function actionMarkSolution(ParameterBag $params)
	{
		$response = parent::actionMarkSolution($params);

		if ($response instanceof \XF\Mvc\Reply\Redirect)
		{
			if ($this->isPost() || $this->filter('confirm', 'bool'))
			{
				$post = $this->assertViewablePost($params->post_id);
				$typeConfig = $post->Thread->Forum->getTypeConfig();

				if (isset($typeConfig['pb_sqp_prefix_id']))
				{
					// Whoosh, MAGIC!
					$response->setJsonParam('doRedirect', true);
				}
			}
		}

		return $response;
	}
}